<?php get_header();?>
<div id="content">
  <?php if (have_posts()) : ?>
  <div id="latest-post">
    <div class="story">
      <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>    
    <?php /* If this is a category archive */ if (is_category()) { ?>				
		<h2 class="pagetitle"><?php _e("Archive for the", "Vidiyal"); ?> '<?php echo single_cat_title(); ?>' <?php _e("Category", "Vidiyal"); ?></h2>		
 	  <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		<h2 class="pagetitle"><?php _e("Archive for", "Vidiyal"); ?> <?php the_time('F jS, Y'); ?></h2>		
	  <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
    <h2 class="pagetitle"><?php _e("Archive for", "Vidiyal"); ?> <?php the_time('F, Y'); ?></h2>

		<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		<h2 class="pagetitle"><?php _e("Archive for", "Vidiyal"); ?> <?php the_time('Y'); ?></h2>
		
		<?php /* If this is an author archive */ } elseif (is_author()) { ?>
		<h2 class="pagetitle"><?php _e("Author Archive", "Vidiyal"); ?></h2>

		<?php /* If this is a paged archive */ } elseif (is_paged()) { ?>
		<h2 class="pagetitle"><?php _e("Blog Archives", "Vidiyal"); ?></h2>
		<?php }?>
    </div>
    <div class="info">
      <div class="meta">
        <p><?php _e("You are currently browsing the archives of", "Vidiyal"); ?> <strong><?php bloginfo('name');?></strong>.</p>
      </div>
    </div>
    <div class="clear"></div>
  </div>
  <div id="posts">
    <?php while (have_posts()) : the_post(); ?>    	
    <div class="post" id="post-<?php the_ID(); ?>">
  		<h2 class="title"><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></h2>
		  <div class="story">
  			<?php the_content(__("Continue Reading", "Vidiyal")." &#187;"); ?>
        <?php wp_link_pages();?>
        <!--
					<?php trackback_rdf(); ?>
				-->
		  </div>
      <div class="meta">
        <p>
			<?php _e("Posted by", "Vidiyal"); ?> <?php the_author() ?> <?php _e("on", "Vidiyal"); ?> <?php the_time('M jS Y') ?> <?php edit_post_link(__("Edit This", "Vidiyal")); ?> | <?php _e("Filed in", "Vidiyal"); ?> <?php the_category(',') ?> | <?php comments_popup_link(__("Comments (0)", "Vidiyal"), __("Comments (1)", "Vidiyal"), __("Comments (%)", "Vidiyal")); ?>
		    </p>
      </div>
	  </div>
    <?php endwhile; else: ?>
      <p><?php _e("Sorry, no posts matched your criteria.", "Vidiyal"); ?></p>
    <?php endif; ?>
    <p align="center"><?php posts_nav_link(' - ','&#171; Prev','Next &#187;') ?></p>
  </div>  
	<!-- end #posts -->
  <?php get_sidebar();?>
<?php get_footer();?>