<?php
load_theme_textdomain('Vidiyal');

if ( function_exists('register_sidebar') ) register_sidebar();
// No CSS, just IMG call

define('HEADER_TEXTCOLOR', 'DAEBDB');
define('HEADER_IMAGE', '%s/images/703848.jpg'); // %s is theme dir uri
define('HEADER_IMAGE_WIDTH', 900);
define('HEADER_IMAGE_HEIGHT', 180);

function theme_admin_header_style() {
?>
<style type="text/css">

  #headimg {
  height: <?php echo HEADER_IMAGE_HEIGHT; ?>px;
  width: <?php echo HEADER_IMAGE_WIDTH; ?>px;
  margin: 0 auto;
  background:#000 url(<?php header_image(); ?>) no-repeat center;
  }

  #headimg h1 {
  padding: 15px 0 0 20px;
  font-size: 1.8em;
  letter-spacing:1px;
  text-transform:uppercase;
  }

  #headimg #desc {
  padding: 5px 0 0 20px;
  font-size: 0.9em;
  }

  #headimg a {
  text-decoration: none;
  }
  #headimg *
  {
  color: #<?php header_textcolor();?>;
}

</style>
<?php
}
function theme_header_style() {
?>
<style type="text/css">

  #header {
    height: <?php echo HEADER_IMAGE_HEIGHT; ?>px;
    width: <?php echo HEADER_IMAGE_WIDTH; ?>px;
    margin: 0 auto;
    background:#000 url(<?php header_image(); ?>) no-repeat center;
  }

  #header h1 {
  padding: 15px 0 0 20px;
  font-size: 1.8em;
  letter-spacing:1px;
  font-variant:small-caps;
  }

  #header h2 {
  padding: 5px 0 0 20px;
  font-size: 0.9em;
  }

  #header a {
  text-decoration: none;
  border:0px;
  }
  #header *
  {
  color: #<?php header_textcolor();?>;
  }
</style>
<?php
}
if ( function_exists('add_custom_image_header') ) {
	add_custom_image_header('theme_header_style', 'theme_admin_header_style');
}
?>